# Uses of Enum
org.apache.commons.math3.transform.DftNormalization

Packages that use DftNormalization
Package
Description
org.apache.commons.math3.transform
Implementations of transform methods, including Fast Fourier transforms.

## Uses of DftNormalization in org.apache.commons.math3.transform

Methods in org.apache.commons.math3.transform that return DftNormalization
Modifier and Type
Method
Description
`static DftNormalization`
DftNormalization.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static DftNormalization[]`
DftNormalization.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.apache.commons.math3.transform with parameters of type DftNormalization
Modifier and Type
Method
Description
`static void`
FastFourierTransformer.`transformInPlace(double[][] dataRI, DftNormalization normalization, TransformType type)`
Computes the standard transform of the specified complex data.
Constructors in org.apache.commons.math3.transform with parameters of type DftNormalization
Modifier
Constructor
Description
``
`FastFourierTransformer(DftNormalization normalization)`
Creates a new instance of this class, with various normalization conventions.